curl --request GET \
--url https://api.daily.co/v1/recordings/{recording_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/recordings/{recording_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/recordings/{recording_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0cb313e1-211f-4be0-833d-8c7305b19902",
"start_ts": 1548789650,
"status": "finished",
"max_participants": 2,
"duration": 277,
"share_token": "TivXjlD22QQt",
"s3key": "mydomain/test-recording-room/11245260397",
"mtgSessionId": "257764e6-c74e-4c30-944a-a887a03173a3",
"storage_provider": "aws"
}{
"error": "invalid-request-error",
"info": "missing required field"
}Get Recording Info
Get info about a recording
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200
A unique, opaque ID for this object. You can use this ID in API calls, and in paginated list operations.
"0cb313e1-211f-4be0-833d-8c7305b19902"
When the recording started. This is a unix timestamp (seconds since the epoch).
1548789650
finished, in-progress, canceled "finished"
The maximum number of participants that were ever in this room together during the meeting session that was recorded.
2
How many seconds long the recording is, approximately. This property is not returned for recordings that are in-progress.
277
Deprecated.
"TivXjlD22QQt"
The S3 Key associated with this recording.
"mydomain/test-recording-room/11245260397"
The meeting session ID for this recording.
"257764e6-c74e-4c30-944a-a887a03173a3"
If the recording is a raw-tracks recording, a tracks field will be provided. If role permissions have been removed, the tracks field may be null.
Show child attributes
Show child attributes
The storage provider the recording was written to. aws for Amazon S3 (including Daily's own storage), oci for OCI Object Storage.
aws, oci "aws"